Subject: Re: bug#53229: 29.0.50; Image-dired is not reusing thumbnails created in emacs-27

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jan 2022 09:56:28 +0100

Stefan Kangas <[email-masked]> writes:

> Mostly that it was marginally faster and I didn't expect any breakage.
> I think we could either switch back, or make sure that we use the MD5
> version of the file name if it exists and otherwise use SHA1.

If it wasn't significantly faster, I think I'd rather just switch back.
Computing the hash twice just seems like a too big complication...
but...  I don't really have an opinion -- either way is fine by me.

>>  (Yes, I know that md5 is "broken", but if you have people
>> doing adversarial attacks on your image directories, you have bigger
>> problems.)
>
> But what about my tin foil?

🎩

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no